Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# parseSpec.c File Reference

Top level dispatcher for spec file parsing. More...

`#include "system.h"`
`#include <rpmio_internal.h>`
`#include <rpmbuild.h>`
`#include "debug.h"`

Go to the source code of this file.

## Functions
static void | initParts (struct PartRec *p)
rpmParseState | isPart (const char *line)
static int | matchTok (const char *token, const char *line)
void | handleComments (char *s)
static void | forceIncludeFile (Spec spec, const char *fileName)
static int | copyNextLine (Spec spec, OFI_t *ofi, int strip)
int | readLine (Spec spec, int strip)
void | closeSpec (Spec spec)
int | parseSpec (Spec *specp, const char *specFile, const char *rootURL, const char *buildRootURL, int recursing, const char *passPhrase, char *cookie, int anyarch, int force)
## Variables
static int | _debug = 0
static struct PartRec | partList []
int | noLang

## Detailed Description

Top level dispatcher for spec file parsing.

Definition in file parseSpec.c.

## Function Documentation

static int copyNextLine | ( | Spec | spec,
|  | OFI_t * | ofi,
|  | int | strip
| ) | `[static]`

| Definition at line 119 of file parseSpec.c. References _, expandMacros(), handleComments(), SpecStruct::lbuf, SpecStruct::line, SpecStruct::lineNum, SpecStruct::macros, SpecStruct::nextline, SpecStruct::nextpeekc, ReadLevelEntry::reading, SpecStruct::readStack, RPMERR_BADSPEC, rpmError, STRIP_COMMENTS, STRIP_TRAILINGSPACE, and xisspace(). Referenced by readLine().

static void forceIncludeFile | ( | Spec | spec,
|  | const char * | fileName
| ) | `[static]`

| Definition at line 106 of file parseSpec.c. References OpenFileInfo::fileName, SpecStruct::fileStack, newOpenFileInfo(), OpenFileInfo::next, and xstrdup(). Referenced by readLine().

static void initParts | ( | struct PartRec * | p | ) | `[inline, static]`

| Definition at line 47 of file parseSpec.c. References PartRec::len. Referenced by isPart().

static int matchTok | ( | const char * | token,
|  | const char * | line
| ) | `[static]`

| Definition at line 75 of file parseSpec.c. References SKIPNONSPACE, SKIPSPACE, and xstrncasecmp(). Referenced by readLine().

## Variable Documentation

int _debug = 0`[static]`

| Definition at line 9 of file parseSpec.c. Referenced by parseSpec().

int noLang

| Definition at line 59 of file poptBT.c.

struct PartRec partList[]`[static]`

| Referenced by isPart().